## dep.pl 1.36.0-4

=== Makefile ===
## Makefile - top-level -*- Makefile -*- for dep.pl
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.26 2001/01/25 20:15:14 algernon Exp $

ifeq ($(wildcard Rules.mk),Rules.mk)
include Makefile.top
else
.DEFAULT all:
	@./configure
	@$(MAKE) $@
endif

.SILENT: .DEFAULT

=== src/Makefile ===
## src/Makefile
## Copyright (C) 1999, 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.9 2000/12/24 22:00:58 algernon Exp $

top_srcdir	= ..
subdir		= src

perldir		= ${libdir}/perl5
perl_MODS	= DepPl.pm

bin_SCRIPTS	= dep.pl vh-fix.pl dep.pl-config
example_SCRIPTS	= dpkg-dep.sh
EXTRA_DIST	= $(example_SCRIPTS) DepPl.pm.in
DISTFILES	= $(EXTRA_DIST) Makefile $(patsubst %,%.in,$(bin_SCRIPTS))
CLEAN_FILES	= $(bin_SCRIPTS) $(perl_MODS)

include $(top_srcdir)/Rules.mk

all-local:: $(bin_SCRIPTS) $(perl_MODS)

install-hook:
	$(INSTALL_DIR) $(DESTDIR)$(docdir)/examples
	@list='$(example_SCRIPTS)'; for f in $$list; do \
		if test -f $$f; then \
			echo "$(INSTALL_PROG) $$f $(DESTDIR)$(docdir)/examples" ;\
			$(INSTALL_PROG) $$f $(DESTDIR)$(docdir)/examples ;\
		fi \
	done
	$(INSTALL_DIR) $(DESTDIR)$(perldir)
	@list='$(perl_MODS)'; for f in $$list; do \
		echo "$(INSTALL_DATA) $$f $(DESTDIR)$(perldir)/$$f" ;\
		$(INSTALL_DATA) $$f $(DESTDIR)$(perldir)/$$f ;\
	done

uninstall-hook:
	@list='$(example_SCRIPTS)'; for f in $$list; do \
		if test -f $$f; then \
			echo "rm -f $(DESTDIR)$(docdir)/examples/$$f" ;\
			rm -f $(DESTDIR)$(docdir)/examples/$$f ;\
		fi \
	done
	@list='$(perl_MODS)'; for f in $$list; do \
		echo "rm -f $(DESTDIR)$(perldir)/$$f" ;\
		rm -f $(DESTDIR)$(perldir)/$$f ;\
	done

dep.pl-config dep.pl vh-fix.pl DepPl.pm:: %: %.in $(top_srcdir)/Rules.mk
	sed -e "s,%%PKGCONFDIR%%,$(pkgconfdir),g" \
	    -e "s,%%DISTRIB%%,$(PACKAGE) $(VERSION),g" < $@.in >$@.tmp && \
		rm -f $@ && mv $@.tmp $@

dep.pl:: dep.pl.in $(top_srcdir)/Rules.mk $(top_srcdir)/COPYING
	cat dep.pl ../COPYING >$@T && \
		rm -f $@ && mv $@T $@

dep.pl-config dep.pl vh-fix.pl:: %: %.in $(top_srcdir)/Rules.mk
	chmod +x $@

=== doc/english/Makefile ===
## doc/english/Makefile
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.6 2000/12/24 15:20:18 algernon Exp $

top_srcdir	= ../..
subdir		= doc/english
language_code	= english

info_DATA	= dep.pl.info

SYMLINK_DATA	= html
SUBDIRS		= html manpages

EXTRA_DIST	= dep.pl.texi
CLEAN_FILES	= dep.pl.info

include $(top_srcdir)/Rules.mk

all-local:: dep.pl.info

ifeq ($(language),$(language_code))
install-hook uninstall-hook: %-hook:
	@if test "$*" = "install"; then \
		list='$(SYMLINK_DATA)'; for f in $$list; do \
			echo "ln -sf english/$$f $(DESTDIR)$(docdir)/$$f" ;\
			ln -sf english/$$f $(DESTDIR)$(docdir)/$$f ;\
		done \
	else \
		list='$(SYMLINK_DATA)'; for f in $$list; do \
			echo "rm -f $(DESTDIR)$(docdir)/$$f" ;\
			rm -f $(DESTDIR)$(docdir)/$$f ;\
		done \
	fi
endif

dep.pl.info: dep.pl.texi
	$(MAKEINFO) -I .. dep.pl.texi

=== doc/magyar/manpages/Makefile ===
## doc/magyar/manpages/Makefile
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.6 2000/12/18 14:02:05 algernon Exp $

top_srcdir	= ../../..
subdir		= doc/magyar/manpages
man_MANS	= dep.pl-config.1 dep.pl.1 vh-fix.pl.1
language_code	= hu

EXTRA_DIST	= dep.pl-config.1.in dep.pl.1.in vh-fix.pl.1.in
DISTFILES	= Makefile $(EXTRA_DIST)
CLEAN_FILES	= $(man_MANS)

include $(top_srcdir)/Rules.mk

all-local:: $(man_MANS)

$(man_MANS):
	sed -e "s^@pkgconfdir@^$(pkgconfdir)^g" < $@.in >$@T && \
		rm -f $@ && mv $@T $@

=== debian/changelog ===
dep.pl (1.36.0-4) unstable; urgency=low

  * Fixed debian/dep.pl-manual Index problem (closes: Bug#107477)

 -- Angel Ramos <seamus@salix.org>  Thu,  2 Aug 2001 18:30:17 +0100
 

dep.pl (1.36.0-3) unstable; urgency=low

  * Fixed debian/dep.pl-manual file (closes: Bug#106832)

 -- Angel Ramos <seamus@salix.org>  Wed,  1 Aug 2001 15:30:40 +0100

dep.pl (1.36.0-2) unstable; urgency=low

  * New maintainer (closes: Bug#105979)
  * Packaging re-done without debhelper

 -- Angel Ramos <seamus@salix.org>  Thu,  19 Jul 2001 16:50:34 +0100

dep.pl (1.36.0) unstable; urgency=low

  * The `Fragment' release
  * Non-English manual pages are put to their proper place
  * Split out common routines to DepPl.pm

 -- Gergely Nagy <8@free.bsd.hu>  Mon, 25 Dec 2000 15:16:34 +0100

dep.pl (1.35.0) unstable; urgency=low

  * The `Kicking & Screaming' release
  * License changed to GPL
  * Heavy hammering on the build system

 -- Gergely Nagy <8@free.bsd.hu>  Thu, 14 Dec 2000 22:22:00 +0100

dep.pl (1.34.0) unstable; urgency=low

  * The Horror Yet To Come release
  * Initial release as an official package
  * Fixes for Perl 5.6

 -- Gergely Nagy <8@free.bsd.hu>  Thu, 30 Nov 2000 10:44:59 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Gergely Nagy <8@free.bsd.hu>"
End:

=== debian/control ===
Source: dep.pl
Section: utils
Priority: optional
Maintainer: Angel Ramos <seamus@salix.org>
Standards-Version: 3.5.2
Build-Depends: texinfo, texi2html

Package: dep.pl
Architecture: all
Depends: ${perl:Depends}
Suggests: dialog | whiptail
Description: The dependency analyst.
 This little script analyses the dependencies of a set
 of files, and produces a full detailed report or such
 an output, that can be passed to another program.
 .
 Comes handy when setting up a chrooted environment...

=== debian/rules ===
#! /usr/bin/make -f

package=dep.pl

configure: configure-stamp
configure-stamp:
	$(checkdir)
	./configure --prefix=/usr \
		    --mandir=/usr/share/man \
		    --sysconfdir=/etc \
		    --infodir=/usr/share/info
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	$(MAKE) all
	touch build-stamp

clean:
	$(checkdir)
	rm -f debian/files
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	
install: build
	$(checkdir)
	install -d debian/tmp/DEBIAN\
		-d debian/tmp/usr/share/doc/$(package)\
		-d debian/tmp/usr/share/doc-base
		-d debian/tmp/usr/share/man/man1
	install -m 755 debian/postinst debian/prerm debian/postrm debian/tmp/DEBIAN
	install -m 644 debian/conffiles debian/tmp/DEBIAN
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -m 0644 debian/dep.pl-manual debian/tmp/usr/share/doc-base/
# Remove license.
	rm -f debian/tmp/usr/share/doc/dep.pl/COPYING
# Remove `upstream' changelog
	rm -f debian/tmp/usr/share/doc/dep.pl/ChangeLog*

dep.pl: install

binary-indep: checkroot dep.pl
	$(checkdir)

binary-arch: checkroot dep.pl
	$(checkdir)
	cp -a debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp -a debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cp -a debian/changelog.old debian/tmp/usr/share/doc/$(package)/changelog.old.Debian
	cd debian/tmp/usr/share/doc/$(package) && gzip -9v *Debian
	gzip -9 debian/tmp/usr/share/man/hu/man1/*.1
	gzip -9 debian/tmp/usr/share/man/man1/*.1
	gzip -9 debian/tmp/usr/share/info/*
	find debian/tmp -type f | grep -v "./DEBIAN" | xargs md5sum | \
		sed -e 's#debian/tmp/##' > debian/tmp/DEBIAN/md5sums

	dpkg-shlibdeps src/dep.pl
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	rm -f debian/tmp/usr/share/doc/$(package)/*Debian
	dpkg --build debian/tmp ..
	rm -rf debian/tmp

define checkdir
       test -f src/$(package).in -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test $$(id -u) = 0

.PHONY: build clean binary-indep binary-arch binary install dep.pl

## dep.pl 1.36.0-5

=== doc/Makefile ===
## doc/Makefile
## Copyright (C) 1999, 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.15 2000/12/24 15:24:39 algernon Exp $

top_srcdir	= ..
subdir		= doc
SUBDIRS		= magyar english

EXTRA_DIST	= fdl.texi

include $(top_srcdir)/Rules.mk

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 top_srcdir	= ..
 subdir		= src
 
-perldir		= ${libdir}/perl5
+perldir		= ${datadir}/perl5
 perl_MODS	= DepPl.pm
 
 bin_SCRIPTS	= dep.pl vh-fix.pl dep.pl-config

=== doc/magyar/Makefile ===
## doc/magyar/Makefile
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.7 2000/12/24 21:51:00 algernon Exp $

top_srcdir	= ../..
subdir		= doc/magyar
language_code	= hu

SYMLINK_DATA	= 
SUBDIRS		= html manpages

include $(top_srcdir)/Rules.mk

ifeq ($(language),$(language_code))
install-hook uninstall-hook: %-hook:
	@if test "$*" = "install"; then \
		list='$(SYMLINK_DATA)'; for f in $$list; do \
			echo "ln -sf magyar/$$f $(DESTDIR)$(docdir)/$$f" ;\
			ln -sf magyar/$$f $(DESTDIR)$(docdir)/$$f ;\
		done \
	else \
		list='$(SYMLINK_DATA)'; for f in $$list; do \
			echo "rm -f $(DESTDIR)$(docdir)/$$f" ;\
			rm -f $(DESTDIR)$(docdir)/$$f ;\
		done \
	fi
endif

=== doc/english/html/Makefile ===
## doc/english/html/Makefile
## Copyright (C) 1999, 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.6 2000/12/24 15:20:18 algernon Exp $

top_srcdir	= ../../..
subdir		= doc/english/html
pkgdocdir	= $(docdir)/english/html
pkgdoc_DATA	= $(wildcard *.html)

DISTFILES	= Makefile
CLEAN_FILES	= $(pkgdoc_DATA)

include $(top_srcdir)/Rules.mk

all-local:: dep.pl.html

dep.pl.html: ../dep.pl.texi
	-$(TEXI2HTML) -I ../.. $<

=== doc/english/manpages/Makefile ===
## doc/english/manpages/Makefile
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.6 2000/12/18 14:02:05 algernon Exp $

top_srcdir	= ../../..
subdir		= doc/english/manpages
man_MANS	= dep.pl-config.1 dep.pl.1 vh-fix.pl.1
language_code	= en

EXTRA_DIST	= dep.pl-config.1.in dep.pl.1.in vh-fix.pl.1.in
DISTFILES	= Makefile $(EXTRA_DIST)
CLEAN_FILES	= $(man_MANS)

include $(top_srcdir)/Rules.mk

all-local:: $(man_MANS)

$(man_MANS):
	sed -e "s^@pkgconfdir@^$(pkgconfdir)^g" < $@.in >$@T && \
		rm -f $@ && mv $@T $@

=== doc/magyar/html/Makefile ===
## doc/magyar/html/Makefile
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.7 2000/12/24 21:51:00 algernon Exp $

top_srcdir	= ../../..
subdir		= doc/magyar/html
pkgdocdir	= $(docdir)/magyar/html
pkgdoc_DATA	= $(wildcard *.html)

DISTFILES	= Makefile
CLEAN_FILES	= $(pkgdoc_DATA)

include $(top_srcdir)/Rules.mk

=== debian/changelog ===
dep.pl (1.36.0-5) unstable; urgency=low

  * Fixed src/dep-pl.config permissions (closes: Bug#173401)
  * Updated to Standards Version 3.5.8

 -- Angel Ramos <seamus@debian.org>  Thu,  6 Mar 2003 18:40:00 +0200

=== debian/control ===
Source: dep.pl
Section: utils
Priority: optional
Maintainer: Angel Ramos <seamus@debian.org>
Standards-Version: 3.5.8
Build-Depends-Indep: texinfo, texi2html

Package: dep.pl
Architecture: all
Depends: ${perl:Depends}
Suggests: dialog | whiptail
Description: The dependency analyst
 This little script analyses the dependencies of a set
 of files, and produces a full detailed report or such
 an output, that can be passed to another program.
 .
 Comes handy when setting up a chrooted environment...

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 build: configure-stamp build-stamp
 build-stamp:
 	$(MAKE) all
+	chmod 755 src/dep.pl-config
 	touch build-stamp
 
 clean:
